summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/password-store.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 65e76b7..7ea5d4c 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -421,9 +421,9 @@ cmd_insert() {
local password
local password_again
while true; do
- read -r -p "Enter password for $path: " -s password || continue
+ read -r -p "Enter password for $path: " -s password || exit 1
echo
- read -r -p "Retype password for $path: " -s password_again || continue
+ read -r -p "Retype password for $path: " -s password_again || exit 1
echo
if [[ $password == "$password_again" ]]; then
$GPG -e "${GPG_RECIPIENT_ARGS[@]}" -o "$passfile" $GPG_OPTS <<<"$password"
an> 2014-03-20Style.Jason A. Donenfeld1-3/+1 2014-03-19Simplify exports.Jason A. Donenfeld1-4/+3 2014-03-19Copyright noticeJason A. Donenfeld1-1/+1 2014-03-19Team pass: enable multiple keys and per directoryJason A. Donenfeld2-40/+75 2014-03-18Shred shm files.Jason A. Donenfeld3-1/+4 2014-03-18Do not compress passwords.Jason A. Donenfeld1-1/+1 2013-09-14Use a glob in the pattern match instead of using two comparisons for [yY].Chris Down1-1/+1 2013-09-14Rephrase awkward/confusing message about enabling echo during password entry.Chris Down1-3/+3 2013-09-14Fix directory traversal for reencryption when $PREFIX is a symlinkBrian Shore1-1/+1 2013-08-26Makefile: Do not install bash completion to /etcLukas Fleischer1-3/+2 2013-05-22check if a passfile exists before checking for directoryBrian Mattern1-13/+12